%define module eventlet

Name:           python-%{module}
Version:        0.17.4
Release:        %mkrel 1
Summary:        Highly concurrent networking library
License:        MIT
Group:          Development/Python
URL:            http://eventlet.net
Source0:        http://pypi.python.org/packages/source/e/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(greenlet)

Recommends:     pythonegg(2)(pyzmq)

%description
Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

%package -n     python3-%{module}
Summary:        Highly concurrent networking library
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(greenlet)

Recommends:     pythonegg(3)(pyzmq)

%description -n python3-%{module}
Eventlet is a networking library written in Python 3. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.
This is the Python 3 build of %{module}.

%package        doc
Summary:        Documentation for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}

%description    doc
Documentation for the python-eventlet package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

pushd doc 
make html && rm _build/html/.buildinfo
popd
chmod a-x tests/mock.py

%install
%py2_install
%py3_install

%files 
%doc AUTHORS LICENSE NEWS README.rst
%{python2_sitelib}/%{module}*

%files -n python3-%{module}
%doc AUTHORS LICENSE NEWS README.rst
%{python3_sitelib}/%{module}*

%files doc
%doc doc/_build/html examples tests


%changelog
* Thu Dec 17 2015 daviddavid <daviddavid> 0.17.4-1.mga6
+ Revision: 911235
- new version: 0.17.4
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-7.mga5
+ Revision: 741748
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.13.0-6.mga5
+ Revision: 728435
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 543315
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13.0-2.mga4
+ Revision: 498558
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 joequant <joequant> 0.13.0-1.mga4
+ Revision: 467412
- upgrade to 0.13.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.16-2.mga3
+ Revision: 378809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.9.16-1.mga3
+ Revision: 313205
- imported package python-eventlet


* Thu Jan 12 2012 Lev Givon <lev@mandriva.org> 0.9.16-1mdv2012.0
+ Revision: 760422
- Update to 0.9.16.
  Remove greenpipe patch (no longer needed).
  Suggest installation of python-pyzmq.

* Thu Jun 09 2011 Antoine Ginies <aginies@mandriva.com> 0.9.14-1
+ Revision: 683432
- fix group
- import python-eventlet


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.9.14
- first release for Mandriva
